#include<bits/stdc++.h>
using namespace std;

int main(){
    int a,b, x,y; cin >> a >> b >> x >> y;
    if(a == x){
        //a je postigao sve golove
        //b treba jos da da
        if(b > y)
            cout << "drugi";
        //a je dao sve svoje golove
        else{
            cout << "nijedan";
        }
    }
    else if(b == x){
        //b je postigao sve svoje golove
        //a treba jos da
        if(a > y){
            cout << "prvi";
        }
        else{
            cout << "nijedan";
        }
    }
    else{
        cout << "?";
    }

}